Loading...
Searching...
No Matches
Opm::EclThermalConductionLawMultiplexerParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the ECL thermal law. More...

`#include <EclThermalConductionLawMultiplexerParams.hpp>`

Inheritance diagram for Opm::EclThermalConductionLawMultiplexerParams< ScalarT >:

## Public Types

using | Scalar = ScalarT
using | ThconrLawParams = EclThconrLawParams<ScalarT>
using | ThcLawParams = EclThcLawParams<ScalarT>

## Public Member Functions

void | setThermalConductionApproach (EclThermalConductionApproach newApproach)
EclThermalConductionApproach | thermalConductionApproach () const
template<EclThermalConductionApproach approachV>
std::enable_if< approachV==EclThermalConductionApproach::Thconr, ThconrLawParams >::type & | getRealParams ()
template<EclThermalConductionApproach approachV>
std::enable_if< approachV==EclThermalConductionApproach::Thconr, constThconrLawParams >::type & | getRealParams () const
template<EclThermalConductionApproach approachV>
std::enable_if< approachV==EclThermalConductionApproach::Thc, ThcLawParams >::type & | getRealParams ()
template<EclThermalConductionApproach approachV>
std::enable_if< approachV==EclThermalConductionApproach::Thc, constThcLawParams >::type & | getRealParams () const
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::EclThermalConductionLawMultiplexerParams< ScalarT >

The default implementation of a parameter object for the ECL thermal law.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclThermalConductionLawMultiplexerParams.hpp